$HTTP["host"] =~ "^(www\.)?brink\.st" {
  var.servername = "brink.st"
  include "incl-docroot.conf"

  auth.backend = "htpasswd"
  auth.backend.htpasswd.userfile = "/var/www/htdocs/data/.htpasswd"

  # We're playing with mod_secdownload for /share
  secdownload.secret          = "somesecretstringgoeshere"
  secdownload.document-root   = "/var/www/htdocs/domains/brink.st/share/files/"
  secdownload.uri-prefix      = "/dl/"
  secdownload.timeout         = 300

  # Make sure our URL log requires a password
  auth.require = ( "/irc/" =>
                   (
                     "method"  => "basic",
                     "realm"   => "IRC links",
                     "require" => "valid-user"
                   ),

                   "/share/add/" =>
                   (
                     "method"  => "basic",
                     "realm"   => "IRC links",
                     "require" => "valid-user"
                   )
                 )

  # Force things in our /config/files directory to serve as plain text
  $HTTP["url"] =~ "^/config/files/" { 
    mimetype.assign = ( ".pl" => "text/plain" )
    static-file.exclude-extensions = ( ) 
    cgi.assign = ( )
  }

  # Make sure the wiki users get the right page
  url.redirect = ( 
    "^/config/wiki/db/*" => "/config/wiki/wiki.pl",
    "^/config/wiki/$" => "/config/wiki/wiki.pl" 
  )
}


##
# remco.brink.st
##
$HTTP["host"] =~ "remco\.brink\.st" {
  var.subdomain = "remco"
  var.servername = "brink.st"
  include "incl-docsubroot.conf"
}

##
# the.brink.st
##
$HTTP["host"] =~ "the\.brink\.st" {
  var.subdomain = "the"
  var.servername = "brink.st"
  include "incl-docsubroot.conf"
}

